## kmplayer 0.10.0.900-2

=== debian/changelog ===
kmplayer (0.10.0.900-2) unstable; urgency=low

  * Compile fix for i386, the NpPlayer is ifdef'ed out

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 25 Oct 2009 19:08:54 +0100

kmplayer (0.10.0.900-1) unstable; urgency=low

  * Use the Hildon pannable area for the playlist, enables kinetic scrolling
  * Map video/x-flv to npp if mplayer not install
  * SMIL 'accesskey' support (fullscreen only)

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 25 Oct 2009 18:27:31 +0100

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml3.14-dev, libcairo2-dev, libpango1.0-dev, libcurl4-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonfm2-dev, osso-af-settings, librsvg2-dev, xsltproc, libconic0-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libglib2.0-dev
Standards-Version: 3.7.2

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
Description: Media player front end for gstreamer, mplayer and libflashplayer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-final


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/kmplayer.sgml > kmplayer.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kmplayer.
	$(MAKE) DESTDIR=$(CURDIR)/debian/kmplayer install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kmplayer 0.10.0.901-1

=== debian/changelog ===
kmplayer (0.10.0.901-1) unstable; urgency=low

  * Install binaries in /opt/kmplayer/bin
  * Better text for menu entries
  * Add bugtracker and display name to debian/control

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 29 Oct 2009 22:00:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-final
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --bindir=/opt/kmplayer/bin --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-final
 
 
 build: build-stamp

## kmplayer 0.10.1-1

=== debian/changelog ===
kmplayer (0.10.1-1) unstable; urgency=low

  * Install binaries in /opt/kmplayer/bin
  * Better text for menu entries
  * Add bugtracker and display name to debian/control
  * Use the Hildon pannable area for the playlist, enables kinetic scrolling
  * Map video/x-flv to npp if mplayer not install
  * SMIL 'accesskey' support (fullscreen only)

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 02 Nov 2009 20:42:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,4 +8,6 @@
 Package: kmplayer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
-Description: Media player front end for gstreamer, mplayer and libflashplayer
+Description: Media player front end for gstreamer, mplayer and libflashplayer.
+Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=kmplayer
+XB-Maemo-Display-Name: KMPlayer

## kmplayer 0.10.1.900-1

=== debian/changelog ===
kmplayer (0.10.1.900-1) unstable; urgency=low

  * Allow playing during downloads, allow multiple downloads
  * Save changed recents/downloads/playlist every 5min

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 05 Dec 2009 17:00:51 +0100

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml3.14-dev, libcairo2-dev, libpango1.0-dev, libcurl4-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonfm2-dev, osso-af-settings, librsvg2-dev, xsltproc, libconic0-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libglib2.0-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=kmplayer
XB-Maemo-Display-Name: KMPlayer

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
Description: Media player front end for gstreamer, mplayer and libflashplayer.

## kmplayer 0.10.1.901-1

=== debian/changelog ===
kmplayer (0.10.1.901-1) unstable; urgency=low

  * Fix downloads.xml not saved
  * Add menu option to download page to add one from a link
  * Fix the location bar combo stretched vertically

 -- Koos Vriezen <koos.vriezen@gmail.com>  un, 06 Dec 2009 21:10:26 +0100

## kmplayer 0.10.2-1

=== debian/changelog ===
kmplayer (0.10.2-1) unstable; urgency=low

  * Fix initial network connection
  * Revert mapping video/x-flv to npp
  * Add menu option to download page to add one from a link
  * Fix the location bar combo stretched vertically
  * Allow playing during downloads, allow multiple downloads
  * Save changed recents/downloads/playlist every 5min

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 09 Dec 2009 21:03:45 +0100

## kmplayer 0.10.2-2

=== debian/changelog ===
kmplayer (0.10.2-2) unstable; urgency=low

  * Remove -framedrop from mplayer commandline
  * Make arrow and enter keys work for playlist
  * Fix possible buffer overflow in parsing mplayer/gstreamer output

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 20 Dec 2009 03:50:50 +0100

## kmplayer 0.10.2-3

=== debian/changelog ===
kmplayer (0.10.2-3) unstable; urgency=low

  * Put info view in a pannable area
  * Fix selecting Google Videos trailers in the USA-VCURLs72 list in worldtv99
  * Fix selected item moving to recents when a recent item is added

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 20 Dec 2009 21:18:32 +0100

## kmplayer 0.10.2-5

=== debian/changelog ===
kmplayer (0.10.2-5) unstable; urgency=low

  * Add changes to debian/control

 -- Koos Vriezen <koos.vriezen@gmail.com>  Fri, 08 Jan 2010 17:46:56 +0100

kmplayer (0.10.2-4) unstable; urgency=low

  * Fix pausing media player not working for items in a list
  * Help gstreamer backend to fill up its buffers (pause), it may end otherwise
  * Fix backwards seek for mp3
  * Allow list folders to be copied to favorites
  * Fix crash in SMIL when activating a href link that replaces the current page

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 07 Jan 2010 17:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -11,3 +11,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer.
+XB-Maemo-Upgrade-Description: Fix pausing media player not working for items in a list
+ Help gstreamer backend to fill up its buffers (pause), it may end otherwise
+ Fix backwards seek for mp3
+ Allow list folders to be copied to favorites
+ Fix crash in SMIL when activating a href link that replaces the current page

## kmplayer 0.10.2.900-1

=== debian/changelog ===
kmplayer (0.10.2.900-1) unstable; urgency=low

  * Change playlist/video layout to a stacked one; works around BR 8079
  * Replace flashlastfm with a sleep timer generator

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 24 Jan 2010 19:35:54 +0100

## kmplayer 0.10.2.901-1

=== debian/changelog ===
kmplayer (0.10.2.901-1) unstable; urgency=low

  * Fix some fullscreen hanging in normal screen

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 24 Jan 2010 21:51:04 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,5 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer.
-XB-Maemo-Upgrade-Description: Fix pausing media player not working for items in a list
- Help gstreamer backend to fill up its buffers (pause), it may end otherwise
- Fix backwards seek for mp3
- Allow list folders to be copied to favorites
- Fix crash in SMIL when activating a href link that replaces the current page
+XB-Maemo-Upgrade-Description: Change playlist/video layout to a stacked one; works around BR 8079
+  Replace flashlastfm with a sleep timer generator

## kmplayer 0.10.2.902-1

=== debian/changelog ===
kmplayer (0.10.2.902-1) unstable; urgency=low

  * Add 'Add to favorites' toolbar button for fullscreen
  * Don't show toolbar with SMIL and flash
  * Draw border around info rectangle

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 28 Jan 2010 22:29:46 +0100

## kmplayer 0.10.2.903-1

=== debian/changelog ===
kmplayer (0.10.2.903-1) unstable; urgency=low

  * Restore from audio only mime if video detected
  * Make for flash a separate player too

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 30 Jan 2010 19:22:43 +0100

## kmplayer 0.10.3-1

=== debian/changelog ===
kmplayer (0.10.3-1) unstable; urgency=low

  * Change playlist/video layout to a stacked one; works around BR 8079
  * Replace flashlastfm with a sleep timer generator
  * Make for flash a separate player too

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 31 Jan 2010 13:24:57 +0100

## kmplayer 0.10.3.900-1

=== debian/changelog ===
kmplayer (0.10.3.900-1) unstable; urgency=low

  * Views support for playlists

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 03 Feb 2010 22:34:47 +0100

## kmplayer 0.10.3.901-1

=== debian/changelog ===
kmplayer (0.10.3.901-1) unstable; urgency=low

  * Set pulse as audio output driver for MPlayer

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 18 Feb 2010 21:58:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,5 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer.
-XB-Maemo-Upgrade-Description: Change playlist/video layout to a stacked one; works around BR 8079
+XB-Maemo-Upgrade-Description: Changes for 0.10.3 compared to 0.10.2
+  Change playlist/video layout to a stacked one; works around BR 8079
   Replace flashlastfm with a sleep timer generator
+  Netscape plugin player, for flash, is now a separate player too

## kmplayer 0.10.3.902-1

=== debian/changelog ===
kmplayer (0.10.3.902-1) unstable; urgency=low

  * 'groupBy' attribute for playlist views must now be an expression
  * Support expression functions 'not', 'sort' and 'string-join'

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 28 Feb 2010 17:55:47 +0100

## kmplayer 0.10.3.903-1

=== debian/changelog ===
kmplayer (0.10.3.903-1) unstable; urgency=low

  * Put the meta group entries in a selector dialog
  * Save last selected playlist meta view index

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 08 Mar 2010 23:10:51 +0100

## kmplayer 0.10.4-1

=== debian/changelog ===
kmplayer (0.10.4-1) unstable; urgency=low

  * Fix toolbar icon for download
  * Support the meta tag in WorldTV99-0.5 (categorizing the items)
  * Fix continuing video play after task switch (using Ctrl+Esc)
  * Set pulse as audio driver for MPlayer
  * Fix leaving mplayer process hanging when it didn't respond to quit

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 29 May 2010 14:34:09 +0200

## kmplayer 0.10.4-2

=== debian/changelog ===
kmplayer (0.10.4-2) unstable; urgency=low

  * Fix problem with detecting mimetype on small files
  * Apply the 'FMRadio' trick to get gstplayer work in silent mode
  * Try harder to strip non-playable links and duplicates in Atom feeds

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 01 Jun 2010 21:30:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
 Package: kmplayer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
-Description: Media player front end for gstreamer, mplayer and libflashplayer.
-XB-Maemo-Upgrade-Description: Changes for 0.10.3 compared to 0.10.2
-  Change playlist/video layout to a stacked one; works around BR 8079
-  Replace flashlastfm with a sleep timer generator
-  Netscape plugin player, for flash, is now a separate player too
+Description: Media player front end for gstreamer, mplayer and libflashplayer
+XB-Maemo-Upgrade-Description: Changes for 0.10.3 compared to 0.10.4
+ Fix toolbar icon for download
+ Support the meta tag in WorldTV99-0.5 (categorizing the items)
+ Fix continuing video play after task switch (using Ctrl+Esc)
+ Set pulse as audio driver for MPlayer
+ Fix leaving mplayer process hanging when it didn't respond to quit soon enough

## kmplayer 0.10.4.900-2

=== debian/changelog ===
kmplayer (0.10.4.900-2) unstable; urgency=low

  * Add mce-dev for build

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 29 Jun 2010 22:33:05 +0200

kmplayer (0.10.4.900-1) unstable; urgency=low

  * Add child link if flv stream is detected by npp in a swf link
  * Crash fix in youtube summary page with an empty description
  * Keep hardware keys active while playing audio
  * Fix opening a local ram file

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 29 Jun 2010 22:15:55 +0200

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml3.14-dev, libcairo2-dev, libpango1.0-dev, libcurl4-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonfm2-dev, osso-af-settings, librsvg2-dev, xsltproc, libconic0-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libglib2.0-dev, mce-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=kmplayer
XB-Maemo-Display-Name: KMPlayer

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
Description: Media player front end for gstreamer, mplayer and libflashplayer
XB-Maemo-Upgrade-Description: Changes for 0.10.4.900 compared to 0.10.4
 Add child link if flv stream is detected by npp in a swf link
 Keep hardware keys, e.g. for volume, active while playing audio

## kmplayer 0.10.4.901-1

=== debian/changelog ===
kmplayer (0.10.4.901-1) unstable; urgency=low

  * Add button to ignore video aspects
  * Add a clear history menu item
  * Fix controls not going in playing state

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 05 Jul 2010 23:44:21 +0200

=== debian/control ===
--- 
+++ 
@@ -12,5 +12,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer
 XB-Maemo-Upgrade-Description: Changes for 0.10.4.900 compared to 0.10.4
+ Add button to ignore video aspects
+ Add a clear history menu item
+ Fix not showing stop button and progress slider regression in 0.10.4.900
  Add child link if flv stream is detected by npp in a swf link
  Keep hardware keys, e.g. for volume, active while playing audio

## kmplayer 0.10.4.902-1

=== debian/changelog ===
kmplayer (0.10.4.902-1) unstable; urgency=low

  * Add button to scale up the video image to 800px wide

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 12 Jul 2010 21:28:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer
-XB-Maemo-Upgrade-Description: Changes for 0.10.4.900 compared to 0.10.4
- Add button to ignore video aspects
+XB-Maemo-Upgrade-Description: Changes for 0.10.4.902 compared to 0.10.4
+ Add button to scale up the video image to 800px wide
+ Add button to ignore video aspects, effectively scales the image
  Add a clear history menu item
- Fix not showing stop button and progress slider regression in 0.10.4.900
  Add child link if flv stream is detected by npp in a swf link
  Keep hardware keys, e.g. for volume, active while playing audio

## kmplayer 0.10.5-2

=== debian/changelog ===
kmplayer (0.10.5-2) unstable; urgency=low

  * Compile fix

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 31 Jul 2010 16:13:30 +0200

kmplayer (0.10.5-1) unstable; urgency=low

  * Add button to scale up the video image to 800px wide
  * Add button to ignore video aspects
  * Add a clear history menu item
  * Add child link if flv stream is detected by npp in a swf link
  * Crash fix in youtube summary page with an empty description
  * Keep hardware keys active while playing audio
  * Fix opening a local ram file

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 31 Jul 2010 15:55:51 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer
-XB-Maemo-Upgrade-Description: Changes for 0.10.4.902 compared to 0.10.4
+XB-Maemo-Upgrade-Description: Changes for 0.10.5 compared to 0.10.4
  Add button to scale up the video image to 800px wide
  Add button to ignore video aspects, effectively scales the image
  Add a clear history menu item

## kmplayer 0.10.5-3

=== debian/changelog ===
kmplayer (0.10.5-3) unstable; urgency=low

  * Zoom button now zooms to height of 480 in case aspects wider than 15:9

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 04 Aug 2010 19:29:57 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer
 XB-Maemo-Upgrade-Description: Changes for 0.10.5 compared to 0.10.4
- Add button to scale up the video image to 800px wide
- Add button to ignore video aspects, effectively scales the image
+ Add button to zoom the video image, slices to 800x480
+ Add button to ignore video aspects, effectively scales the image to 800x480
  Add a clear history menu item
  Add child link if flv stream is detected by npp in a swf link
  Keep hardware keys, e.g. for volume, active while playing audio

## kmplayer 0.10.5.900-1

=== debian/changelog ===
kmplayer (0.10.5.900-1) unstable; urgency=low

  * -max option for knpplayer that uses the full screen area
  * Add pseudo process that first tries gstreamer and then mplayer

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 04 Oct 2010 21:10:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer
-XB-Maemo-Upgrade-Description: Changes for 0.10.5 compared to 0.10.4
- Add button to zoom the video image, slices to 800x480
- Add button to ignore video aspects, effectively scales the image to 800x480
- Add a clear history menu item
- Add child link if flv stream is detected by npp in a swf link
- Keep hardware keys, e.g. for volume, active while playing audio
+XB-Maemo-Upgrade-Description: Changes for 0.10.5i.900 compared to 0.10.5
+ Add pseudo process that first tries gstreamer and then mplayer
+ Apply patch to flash player for live-wallpaper

## kmplayer 0.10.5.901-1

=== debian/changelog ===
kmplayer (0.10.5.901-1) unstable; urgency=low

  * Fix playing files in directories containing utf8 characters

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 04 Dec 2010 12:50:40 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer
-XB-Maemo-Upgrade-Description: Changes for 0.10.5i.900 compared to 0.10.5
+XB-Maemo-Upgrade-Description: Changes for 0.10.5.901 compared to 0.10.5
  Add pseudo process that first tries gstreamer and then mplayer
  Apply patch to flash player for live-wallpaper
+ Fix playing files in directories containing utf8 characters

## kmplayer 0.10.6-1

=== debian/changelog ===
kmplayer (0.10.6-1) unstable; urgency=low

  * Many smilText and expressions for SMIL state improvements
  * Fix playing files in directories containing utf8 characters
  * -max option for knpplayer that uses the full screen area
  * Add pseudo process that first tries gstreamer and then mplayer

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 13 Oct 2011 20:28:23 +0200

## kmplayer 0.10.6-2

=== debian/changelog ===
kmplayer (0.10.6-2) unstable; urgency=low

  * Update changes description
  * Remove the log file creation

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 13 Oct 2011 22:21:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer
-XB-Maemo-Upgrade-Description: Changes for 0.10.5.901 compared to 0.10.5
+XB-Maemo-Upgrade-Description: Changes for 0.10.6 compared to 0.10.5
+ Many smilText and expressions for SMIL state improvements
  Add pseudo process that first tries gstreamer and then mplayer
  Apply patch to flash player for live-wallpaper
  Fix playing files in directories containing utf8 characters

## kmplayer 0.10.6.900-3

=== debian/changelog ===
kmplayer (0.10.6.900-3) unstable; urgency=low

  * Fix build; add kmplayer_opml.cpp to cpp_all.cpp

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 09 Dec 2012 12:01:42 +0100

kmplayer (0.10.6.900-2) unstable; urgency=low

  * Add changes to control file

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 09 Dec 2012 11:46:38 +0100

kmplayer (0.10.6.900-1) unstable; urgency=low

  * Improve the seek interaction
  * Seek -20/20s with prev/next buttons when playing a single file
  * Port using Xv colorkey usage from 0.10.9.905, gstreamer only
  * Port upport Outline Processor Markup Language
  * Port SMIL fixes up to 0.10.9.910

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 08 Dec 2012 17:42:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,13 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
 Description: Media player front end for gstreamer, mplayer and libflashplayer
-XB-Maemo-Upgrade-Description: Changes for 0.10.6 compared to 0.10.5
- Many smilText and expressions for SMIL state improvements
- Add pseudo process that first tries gstreamer and then mplayer
- Apply patch to flash player for live-wallpaper
- Fix playing files in directories containing utf8 characters
+XB-Maemo-Upgrade-Description: Changes for 0.10.6.900 compared to 0.10.6
+ Improve the seek interaction
+ Seek -20/20s with prev/next buttons when playing a single file
+ Port using Xv colorkey usage from 0.10.9.905, gstreamer only
+ Port upport Outline Processor Markup Language
+ Port SMIL fixes up to 0.10.9.910Improve the seek interaction
+ Seek -20/20s with prev/next buttons when playing a single file
+ Port using Xv colorkey usage from 0.10.9.905, gstreamer only
+ Port upport Outline Processor Markup Language
+ Port SMIL fixes up to 0.10.9.910

## kmplayer 0.11.0a+svn919425

=== CMakeLists.txt ===
project(kmplayer)

SET(KMPLAYER_MAJOR_VERSION "0")
SET(KMPLAYER_MINOR_VERSION "11")
SET(KMPLAYER_PATCH_VERSION "0a")

SET(KMPLAYER_VERSION_STRING
    "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories( ${KDE4_INCLUDES})

if(NOT WIN32)
  OPTION(WITH_CAIRO "Enable Cairo support" ON)
  OPTION(WITH_NPP "Build NPP player" ON)
  OPTION(WITH_EXPAT "Use expat XML parser" OFF)
  INCLUDE(UsePkgConfig)

  if (WITH_CAIRO)

    PKGCONFIG(cairo CAIROIncDir CAIROLinkDir CAIROLinkFlags CAIROCflags)
    PKGCONFIG(pangocairo PANGOIncDir PANGOLinkDir PANGOLinkFlags PANGOCflags)

    if (CAIROCflags AND PANGOCflags)
        set(KMPLAYER_WITH_CAIRO 1)
    endif (CAIROCflags AND PANGOCflags)
  endif (WITH_CAIRO)

  if (WITH_NPP)
    PKGCONFIG(dbus-glib-1 GLibDBusIncDir GLibDBusLinkDir GLibDBusLinkFlags GLibDBusCflags)

    if (GLibDBusCflags)
      set(KMPLAYER_WITH_GDBUS 1)
      PKGCONFIG(gtk+-x11-2.0 GTKIncDir GTKLinkDir GTKLinkFlags GTKCflags)
      PKGCONFIG(gthread-2.0 GThreadIncDir GThreadLinkDir GThreadLinkFlags GThreadCflags)
      if (GTKCflags)
          set(KMPLAYER_WITH_NPP 1)
      endif (GTKCflags)
    endif (GLibDBusCflags)
  endif (WITH_NPP)

  if (WITH_EXPAT)
      INCLUDE(FindEXPAT)
      if (EXPAT_FOUND)
          set(KMPLAYER_WITH_EXPAT 1)
      else (EXPAT_FOUND)
          MESSAGE(Expat found)
      endif (EXPAT_FOUND)
  endif (WITH_EXPAT)

endif(NOT WIN32)


check_include_files(stdint.h HAVE_STDINT_H)

configure_file (config-kmplayer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kmplayer.h )

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(mimetypes)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS_DEBUG "-DDEBUG ${CMAKE_CXX_FLAGS_DEBUG}")
set(CMAKE_CXX_FLAGS_DEBUGFULL "-DDEBUG ${CMAKE_CXX_FLAGS_DEBUGFULL}")
set(CMAKE_CXX_FLAGS_PROFILE "-DDEBUG ${CMAKE_CXX_FLAGS_PROFILE}")

########### next target ###############

SET(optionalCFlags)
SET(optionalLinkFlags)

IF (KMPLAYER_WITH_CAIRO)
    SET(optionalCFlags ${optionalCFlags} ${CAIROCFlags} ${PANGOCFlags})
    SET(optionalLinkFlags ${optionalLinkFlags} ${CAIROLinkFlags} ${PANGOLinkFlags})
    MESSAGE("have cairo cflags:${optionalCFlags} ldflags:${optionalLinkFlags}")
endif (KMPLAYER_WITH_CAIRO)

add_definitions(-DQT3_SUPPORT -DKDE3_SUPPORT -DKMPLAYER_VERSION_STRING=\\"${KMPLAYER_VERSION_STRING}\\")

ADD_DEFINITIONS(${CAIROCFlags})

include_directories(${CMAKE_CURRENT_BINARY_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR} ${CAIROIncDir} ${EXPAT_INCLUDE_DIRS})

set(libkmplayercommon_SRCS
  kmplayerview.cpp
  playlistview.cpp
  kmplayercontrolpanel.cpp
  kmplayerconfig.cpp
  pref.cpp
  kmplayerprocess.cpp
  kmplayerpartbase.cpp
  kmplayerplaylist.cpp
  kmplayer_asx.cpp
  kmplayer_smil.cpp
  kmplayer_rp.cpp
  kmplayer_rss.cpp
  kmplayer_atom.cpp
  kmplayer_xspf.cpp
  mediaobject.cpp
  triestring.cpp
  surface.cpp
  viewarea.cpp
)

qt4_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.master.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::MasterProcessInfo)
qt4_add_dbus_adaptor(libkmplayercommon_SRCS
    org.kde.kmplayer.streammaster.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::MasterProcess)
qt4_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.part.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerpartbase.h KMPlayer::PartBase)

if (KMPLAYER_WITH_NPP)
    qt4_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.callback.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::NpPlayer)
    qt4_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.stream.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::NpStream)
endif (KMPLAYER_WITH_NPP)

kde4_add_library(kmplayercommon SHARED ${libkmplayercommon_SRCS})

MESSAGE("extra ${CAIROCflags} ${GLibDBusCflags}  libs ${CAIROLinkFlags} ${GLibDBusLinkFlags}")

SET_TARGET_PROPERTIES(kmplayercommon PROPERTIES COMPILE_FLAGS
    "${CAIROCflags} ${PANGOCflags} ${GLibDBusCflags}")

target_link_libraries(kmplayercommon
  ${CAIROLinkFlags}
  ${PANGOLinkFlags}
  ${GLibDBusLinkFlags}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${X11_X11_LIB}
  ${EXPAT_LIBRARIES}
  ${KDE4_SOLID_LIBS}
  kmediaplayer
)

install(TARGETS kmplayercommon ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############

set(kmplayerpart_SRCS kmplayer_part.cpp)

kde4_add_plugin(kmplayerpart WITH_PREFIX ${kmplayerpart_SRCS})

target_link_libraries(kmplayerpart
  kmplayercommon kmediaplayer
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

install(TARGETS kmplayerpart DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kmplayer_part.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

########### next target ###############

set(kmplayer_SRCS
  kmplayerapp.cpp
  kmplayertvsource.cpp
)

#kmplayerbroadcast.cpp
#kmplayervdr.cpp

kde4_add_kdeinit_executable(kmplayer ${kmplayer_SRCS} main.cpp)

target_link_libraries(kdeinit_kmplayer
  kmplayercommon
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

target_link_libraries(kmplayer kdeinit_kmplayer)

install(TARGETS kdeinit_kmplayer  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(TARGETS kmplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

#qt4_add_dbus_interface(kmplayer_SRCS org.kde.Konqueror.Main.xml kmplayer_interface)

########### next target ###############

if (KMPLAYER_WITH_NPP)
    MESSAGE("build npp")
    set(knpplayer_SRCS npplayer.c)

    add_executable(knpplayer ${knpplayer_SRCS})

    SET_TARGET_PROPERTIES(knpplayer PROPERTIES COMPILE_FLAGS
        "${GLibDBusCflags} ${GTKCflags} ${GThreadCflags}"
    )

    target_link_libraries(knpplayer ${GLibDBusLinkFlags} ${GTKLinkFlags} ${GThreadLinkFlags})

    install(TARGETS knpplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

endif (KMPLAYER_WITH_NPP)
#kxineplayer
#kgstplayer
#kxvplayer

########### next target ###############

set(kphononplayer_SRCS
  phononplayer.cpp
)

qt4_add_dbus_adaptor(kphononplayer_SRCS org.kde.kmplayer.slave.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/phononplayer.h Slave)
qt4_add_dbus_adaptor(kphononplayer_SRCS org.kde.kmplayer.streamslave.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/phononplayer.h Stream)

kde4_add_executable(kphononplayer ${kphononplayer_SRCS})

target_link_libraries(kphononplayer
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${KDE4_PHONON_LIBS}
)

install(TARGETS kphononplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES kmplayerui.rc kmplayerpartui.rc pluginsinfo bookmarks.xml DESTINATION  ${DATA_INSTALL_DIR}/kmplayer)
install(FILES kmplayerrc DESTINATION ${CONFIG_INSTALL_DIR})
#install(FILES kmplayer.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})

## kmplayer 0.11.1b

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "0a")
+SET(KMPLAYER_PATCH_VERSION "1b")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")
@@ -15,12 +15,12 @@
 include_directories( ${KDE4_INCLUDES})
 
 if(NOT WIN32)
-  OPTION(WITH_CAIRO "Enable Cairo support" ON)
-  OPTION(WITH_NPP "Build NPP player" ON)
-  OPTION(WITH_EXPAT "Use expat XML parser" OFF)
+  OPTION(KMPLAYER_BUILT_WITH_CAIRO "Enable Cairo support" ON)
+  OPTION(KMPLAYER_BUILT_WITH_NPP "Build NPP player" ON)
+  OPTION(KMPLAYER_BUILT_WITH_EXPAT "Use expat XML parser" OFF)
   INCLUDE(UsePkgConfig)
 
-  if (WITH_CAIRO)
+  if (KMPLAYER_BUILT_WITH_CAIRO)
 
     PKGCONFIG(cairo CAIROIncDir CAIROLinkDir CAIROLinkFlags CAIROCflags)
     PKGCONFIG(pangocairo PANGOIncDir PANGOLinkDir PANGOLinkFlags PANGOCflags)
@@ -28,9 +28,9 @@
     if (CAIROCflags AND PANGOCflags)
         set(KMPLAYER_WITH_CAIRO 1)
     endif (CAIROCflags AND PANGOCflags)
-  endif (WITH_CAIRO)
+  endif (KMPLAYER_BUILT_WITH_CAIRO)
 
-  if (WITH_NPP)
+  if (KMPLAYER_BUILT_WITH_NPP)
     PKGCONFIG(dbus-glib-1 GLibDBusIncDir GLibDBusLinkDir GLibDBusLinkFlags GLibDBusCflags)
 
     if (GLibDBusCflags)
@@ -41,16 +41,16 @@
           set(KMPLAYER_WITH_NPP 1)
       endif (GTKCflags)
     endif (GLibDBusCflags)
-  endif (WITH_NPP)
+  endif (KMPLAYER_BUILT_WITH_NPP)
 
-  if (WITH_EXPAT)
+  if (KMPLAYER_BUILT_WITH_EXPAT)
       INCLUDE(FindEXPAT)
       if (EXPAT_FOUND)
           set(KMPLAYER_WITH_EXPAT 1)
       else (EXPAT_FOUND)
           MESSAGE(Expat found)
       endif (EXPAT_FOUND)
-  endif (WITH_EXPAT)
+  endif (KMPLAYER_BUILT_WITH_EXPAT)
 
 endif(NOT WIN32)
 
@@ -61,4 +61,8 @@
 
 add_subdirectory(src)
 add_subdirectory(icons)
-add_subdirectory(mimetypes)
+add_subdirectory(doc)
+add_subdirectory(data)
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory(po)

## kmplayer 0.11.2a

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "1b")
+SET(KMPLAYER_PATCH_VERSION "2a")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(ku)
add_subdirectory(lt)
add_subdirectory(lv)
add_subdirectory(mai)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(nn)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(x-test)
add_subdirectory(zh_CN)
add_subdirectory(zh_TW)

=== debian/changelog ===
kmplayer (1:0.11.2a-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining change:
    - Keep kmplayer-base transitional package for 8.04 upgrades

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Mar 2010 13:11:14 -0400

kmplayer (1:0.11.2a-1) unstable; urgency=low

  * New upstream release:
    - Fix opening multiple files on commandline. (Closes: #542130)
  * Drop 03_sh4_support_v2.diff patch - merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Mon, 22 Mar 2010 21:02:44 +0100

kmplayer (1:0.11.2-2) unstable; urgency=low

  * Replace 02_sh4_support.diff by 03_sh4_support_v2.diff patch
    to support sh4 (updated to latest code). Thanks to Nobuhiro Iwamatsu.

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Mar 2010 11:02:14 +0100

kmplayer (1:0.11.2-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining change:
    - Keep kmplayer-base transitional package for 8.04 upgrades

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 05 Mar 2010 08:35:53 -0500

kmplayer (1:0.11.2-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_rev1046843_link_with_X11.diff - stolen upstream.
  * Add 02_sh4_support.diff patch to support sh4.
    Thanks to Nobuhiro Iwamatsu. (Closes: #560124)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency
    - Bump build dependencies versions (debhelper, pkg-kde-tools).
    - Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Update debian/rules:
    - Enable parallel build (add --parallel option to dh).
    - Remove quilt sequence addon, not needed anymore
      (dpkg-source 3.0 format switch).
    - Remove override_dh_compress target, not needed anymore
      (included in pkg-kde-tools).

 -- Fathi Boudra <fabo@debian.org>  Fri, 05 Mar 2010 09:00:21 +0100

kmplayer (1:0.11.1b-2ubuntu1) lucid; urgency=low

  * Merge from Debian Testing, remaining changes:
    - Keep kmplayer-base transitional package for 8.04 upgrades

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 Dec 2009 10:47:30 -0500

kmplayer (1:0.11.1b-2) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add 01_rev1046843_link_with_X11.diff, it makes the package able to build
    with binutils-gold (Closes: #555021).
  * Update debian/control:
    - Bump Standards-Version from 3.8.2 to 3.8.3 (no changes needed).

  [ Fathi Boudra ]
  * Update debian/control:
    - Remove cdbs build dependency.
    - Bump debhelper and pkg-kde-tools build dependencies version.
  * Update debian/rules: convert to dh usage.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 13 Nov 2009 21:32:49 +0100

kmplayer (1:0.11.1b-1ubuntu1) lucid; urgency=low

  * Merge from Debian Testing, remaining changes:
    - Keep kmplayer-base transitional package for 8.04 upgrades

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 12:10:15 -0500

kmplayer (1:0.11.1b-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 21 Jun 2009 16:29:45 +0200

kmplayer (1:0.11.1b-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #348315)
  * Transition to kde.mk from pkg-kde-tools:
    - Include kde.mk and debhelper.mk in debian/rules
    - Update .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 17 Jun 2009 19:21:29 -0400

kmplayer (1:0.11.1a-1ubuntu1) karmic; urgency=low

  * Merge with debian unstable (LP: #380449), remaining changes:
    - drop cmake from build-deps
    - add kmplayer-base transitional package
    - add kmplayer.install
    - conflicts kmplayer-base << 1:0.11.1a-1ubuntu1
    - debian/rules: use '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
      instead '/usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk'
    - debian/watch: we don't need to run 'debian svn-upgrade'

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 26 May 2009 03:38:19 +0200

kmplayer (1:0.11.1a-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 22 May 2009 05:12:55 +0200

kmplayer (1:0.11.1a-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 18 May 2009 12:27:37 +0200

kmplayer (1:0.11.0a-1) unstable; urgency=low

  * New upstream release.
  * Allow debian/watch to handle upstream -rc.
  * Move to Section: video.
  * Add ${misc:Depends}.
  * Add Build-Depends: pkg-kde-tools.
  * Remove obsolete debian/*docbook entries.
  * Upload to unstable (KDE4 is here :-).

 -- Mark Purcell <msp@debian.org>  Sat, 11 Apr 2009 10:56:09 +1000

kmplayer (1:0.11.1-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Fixed packaging to use pkg-kde-tools

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 11 May 2009 05:34:03 +0200

kmplayer (1:0.11.0a+svn962335-0ubuntu1~ppa1) jaunty; urgency=low

  * New SVN snapshot

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 02 May 2009 06:05:28 +0200

kmplayer (1:0.11.0a+svn919425-0ubuntu1) jaunty; urgency=low

  * New upstream version released.
  * SVN snapshot to fix FTBFS with 4.2
  * Rewrite packaging for KDE4

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 31 Jan 2009 23:59:43 +0100

kmplayer (1:0.11.0-3) experimental; urgency=low

  * Add patch to fix kmplayer.desktop install path.

 -- Fathi Boudra <fabo@debian.org>  Fri, 16 Jan 2009 01:41:08 +0100

kmplayer (1:0.11.0-2) experimental; urgency=low

  * Remove shipped oxygen icons. kde-icons-oxygen ships a different version.

 -- Fathi Boudra <fabo@debian.org>  Thu, 15 Jan 2009 22:42:51 +0100

kmplayer (1:0.11.0-1) experimental; urgency=low

  [ Fathi Boudra ]
  * Initial KDE 4 release.
  * Update build dependencies.
  * Bump Standards-Version to 3.8.0.
  * Merge kmplayer-common and kmplayer-plugin in kmplayer package.
  * Add konqueror to Suggests field.
  * Update long description.

  [ Mark Purcell ]


=== debian/control ===
Source: kmplayer
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.3.4), libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev,
 libgtk2.0-dev, libx11-dev, libxt-dev
Standards-Version: 3.8.4
Homepage: http://kmplayer.kde.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kmplayer/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kmplayer/trunk/

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 dbus-x11, libxine1-x
Suggests: ffmpeg, vdr, xawtv, konqueror, mplayer
Conflicts: kmplayer-base (<<1:0.11.1a-1ubuntu1), kmplayer-common, kmplayer-plugin
Replaces: kmplayer-common, kmplayer-plugin
Description: media player for KDE
 KMPlayer is a simple frontend for MPlayer/FFMpeg/Phonon.
 .
 Some features:
  * play DVD/VCD movies (from file or url and from a video device)
  * embed inside konqueror (movie is played inside konqueror)
  * embed inside khtml (movie playback inside a html page)
  * Movie recording using mencoder (part of the mplayer package)
  * No video during recording, but you can always open a new window and play it
  * Broadcasting, http streaming, using ffserver/ffmpeg
  * For TV sources, you need v4lctl (part of the xawtv package)

Package: kmplayer-base
Architecture: all
Priority: extra
Depends: kmplayer, ${misc:Depends}
Description: Transitional package
 This dummy package is provided for a smooth transition from kmplayer-base to
 the kmplayer package.
 .
 It may safely be removed after installation.

## kmplayer 0.11.2b

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "2a")
+SET(KMPLAYER_PATCH_VERSION "2b")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")

=== debian/changelog ===
kmplayer (1:0.11.2b-1ubuntu2) maverick; urgency=low

  * Fix FTBS on armel
    - Add kubuntu_01_fix_docbook.diff

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 25 Sep 2010 03:10:55 +0200

kmplayer (1:0.11.2b-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Keep kmplayer-base transitional package for 8.04 upgrades
    - Keep kmplayer.install

 -- Andreas Wenning <awen@awen.dk>  Sun, 23 May 2010 11:26:26 +0200

kmplayer (1:0.11.2b-1) unstable; urgency=low

  * New upstream release:
    - Fix filename encoding for local files. (Closes: #575849)
  * Drop libxine1-x dependency. (Closes: #575117)

 -- Fathi Boudra <fabo@debian.org>  Mon, 26 Apr 2010 10:10:05 +0300

kmplayer (1:0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patch to fix kmplayer.desktop install path. Commited upstream.
  * Bump compat to 7.
  * Update debian/control:
    - Cleanup build dependencies.
    - Bump debhelper to 7.
    - Bump Standards-Version from 3.8.0 to 3.8.1 (no changes needed).
    - Add dbus-x11 dependency (Closes: #514108).
  * Update debian/rules: cleanup.

 -- Fathi Boudra <fabo@debian.org>  Tue, 12 May 2009 12:26:53 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
 
 Package: kmplayer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- dbus-x11, libxine1-x
+Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
 Suggests: ffmpeg, vdr, xawtv, konqueror, mplayer
 Conflicts: kmplayer-base (<<1:0.11.1a-1ubuntu1), kmplayer-common, kmplayer-plugin
 Replaces: kmplayer-common, kmplayer-plugin
